import { Component } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule } from '@angular/forms';
import { ChatService } from './chat.service';

@Component({
  selector: 'app-root',
  standalone: true, 
  imports: [CommonModule, FormsModule], 
  templateUrl: './app.component.html'
})
export class AppComponent {
  userMessage = '';
  resposta: string | null = null;

  constructor(private chatService: ChatService) {}

  enviarMensagem() {
    this.chatService.sendMessage(this.userMessage).subscribe((res: any) => {
      this.resposta = res?.reply || 'Sem resposta do servidor';
    });
  }
}